## GUPnPDeviceProxy

GUPnPDeviceProxy — Proxy class for remote devices.

## Types and Values

struct | GUPnPDeviceProxy

## Object Hierarchy

        GObject
        ╰── GUPnPDeviceInfo
            ╰── GUPnPDeviceProxy

## Description

GUPnPDeviceProxy allows for retrieving proxies for a device's subdevices and services. GUPnPDeviceProxy implements the GUPnPDeviceInfo interface.

## Functions

## Types and Values

### struct GUPnPDeviceProxy

    struct GUPnPDeviceProxy;

This struct contains private data only, and should be accessed using the functions below.